Package com.ocient.jdbc.proto

## Enum PlanProtocol.JoinType

- java.lang.Object
- - java.lang.Enum<PlanProtocol.JoinType>
  - - com.ocient.jdbc.proto.PlanProtocol.JoinType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.JoinType>`

Enclosing class:
  PlanProtocol

    public static enum PlanProtocol.JoinType
    extends Enum<PlanProtocol.JoinType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.JoinType`

### Enum Constant Summary

Enum Constants
`ANTI` `ANTI = 5;`
`FULL` `FULL = 3;`
`INNER` `INNER = 1;`
`INVALID_JOIN_TYPE` `INVALID_JOIN_TYPE = 0;`
`LEFT` `LEFT = 2;`
`SEMI` `SEMI = 4;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ANTI_VALUE` `ANTI = 5;`
`static int` `FULL_VALUE` `FULL = 3;`
`static int` `INNER_VALUE` `INNER = 1;`
`static int` `INVALID_JOIN_TYPE_VALUE` `INVALID_JOIN_TYPE = 0;`
`static int` `LEFT_VALUE` `LEFT = 2;`
`static int` `SEMI_VALUE` `SEMI = 4;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PlanProtocol.JoinType` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.JoinType>` `internalGetValueMap()`
`static PlanProtocol.JoinType` `valueOf​(int value)` Deprecated.
`static PlanProtocol.JoinType` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.JoinType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.JoinType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INVALID_JOIN_TYPE

    public static final PlanProtocol.JoinType INVALID_JOIN_TYPE

`INVALID_JOIN_TYPE = 0;`

#### INNER

    public static final PlanProtocol.JoinType INNER

`INNER = 1;`

#### LEFT

    public static final PlanProtocol.JoinType LEFT

`LEFT = 2;`

#### FULL

    public static final PlanProtocol.JoinType FULL

`FULL = 3;`

#### SEMI

    public static final PlanProtocol.JoinType SEMI

`SEMI = 4;`

#### ANTI

    public static final PlanProtocol.JoinType ANTI

`ANTI = 5;`

#### UNRECOGNIZED

    public static final PlanProtocol.JoinType UNRECOGNIZED

### Field Detail

#### INVALID_JOIN_TYPE_VALUE

    public static final int INVALID_JOIN_TYPE_VALUE

`INVALID_JOIN_TYPE = 0;`

See Also:
  Constant Field Values

#### INNER_VALUE

    public static final int INNER_VALUE

`INNER = 1;`

See Also:
  Constant Field Values

#### LEFT_VALUE

    public static final int LEFT_VALUE

`LEFT = 2;`

See Also:
  Constant Field Values

#### FULL_VALUE

    public static final int FULL_VALUE

`FULL = 3;`

See Also:
  Constant Field Values

#### SEMI_VALUE

    public static final int SEMI_VALUE

`SEMI = 4;`

See Also:
  Constant Field Values

#### ANTI_VALUE

    public static final int ANTI_VALUE

`ANTI = 5;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static PlanProtocol.JoinType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanProtocol.JoinType c : PlanProtocol.JoinType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanProtocol.JoinType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static PlanProtocol.JoinType valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static PlanProtocol.JoinType forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.JoinType> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static PlanProtocol.JoinType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null